/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

.lea-ui-checkbox-button {
  position: relative;
  display: flex;
  align-items: center;
  min-height: 32px;
  line-height: 32px;

  .input-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 1.5rem;
    width: 1.5rem;

    & input[type='checkbox'] {
      position: relative;
      width: 20px;
      height: 20px;
      border-radius: 2px;
      border: 1px solid #4065e2;
      -webkit-appearance: none;
      -moz-appearance: none;
      appearance: none;
      -webkit-print-color-adjust: exact;
      print-color-adjust: exact;
      display: inline-block;
      vertical-align: middle;

      &:checked {
        background-image: url("data:image/svg+xml,%3csvg viewBox='0 0 16 16' fill='white' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M5.707 7.293a1 1 0 0 0-1.414 1.414l2 2a1 1 0 0 0 1.414 0l4-4a1 1 0 0 0-1.414-1.414L7 8.586 5.707 7.293z'/%3e%3c/svg%3e");
        border-color: black;
        background-color: currentColor;
        background-size: 100% 100%;
        background-position: center;
        background-repeat: no-repeat;
      }

      &:focus {
        outline: none;
        &::before {
          box-sizing: border-box;
          content: '';
          width: 28px;
          height: 28px;
          border: 2px solid blue;
          position: absolute;
          top: -5px;
          left: -5px;
        }
      }
    }
  }

  .content {
    display: flex;
    flex-direction: row;
    gap: 1rem;
    flex-grow: 1;
    align-items: center;
    justify-content: space-between;
    font-size: 1.4rem;
    line-height: 2.2rem;
    font-weight: 500;
    padding-left: 1rem;
    white-space: nowrap;
  }

  & .sr-only {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    white-space: nowrap;
    border-width: 0;
  }
}
